#import <Foundation/Foundation.h>
#import "SWGObject.h"

/**
* Browshot API
* Take screenshots of any website in real time
*
* OpenAPI spec version: 1.16.0
* Contact: support@browshot.com
*
* NOTE: This class is auto generated by the swagger code generator program.
* https://github.com/swagger-api/swagger-codegen.git
* Do not edit the class manually.
*/




@protocol SWGScreenshot
@end

@interface SWGScreenshot : SWGObject

/* screenshot ID 
 */
@property(nonatomic) NSNumber* _id;
/* status of the request: \"in_queue\", \"processing\", \"finished\", \"error\"  
 */
@property(nonatomic) NSString* status;
/* description of the problem that occurred [optional]
 */
@property(nonatomic) NSString* error;
/* priority given to the screenshot: high (1) to low (3) [optional]
 */
@property(nonatomic) NSNumber* priority;
/* original URL requested 
 */
@property(nonatomic) NSString* url;
/* screenshot size requested [optional]
 */
@property(nonatomic) NSString* size;
/* screenshot width [optional]
 */
@property(nonatomic) NSNumber* width;
/* screenshot height [optional]
 */
@property(nonatomic) NSNumber* height;
/* URL of the screenshot (redirections can occur) [optional]
 */
@property(nonatomic) NSString* finalUrl;
/* image scale. Always 1 for desktop browsers; mobiles may change the scale (zoom in or zoom out) to fit the page on the screen [optional]
 */
@property(nonatomic) NSNumber* scale;
/* instance ID used for the screenshot 
 */
@property(nonatomic) NSNumber* instanceId;
/* number of credits spent for the screenshot [optional]
 */
@property(nonatomic) NSNumber* cost;
/* custom referrer used (see Custom POST Data, Referer and Cookie) [optional]
 */
@property(nonatomic) NSString* referer;
/* POST data sent (see Custom POST Data, Referer and Cookie) [optional]
 */
@property(nonatomic) NSString* postData;
/* custom cookie used (see Custom POST Data, Referer and Cookie) [optional]
 */
@property(nonatomic) NSString* cookie;
/* number of seconds to wait after page load [optional]
 */
@property(nonatomic) NSNumber* delay;
/* number of seconds to wait after page load if Flash elements are present [optional]
 */
@property(nonatomic) NSNumber* flashDelay;
/* level of details about the screenshot and the page [optional]
 */
@property(nonatomic) NSNumber* details;
/* URL of optional javascript file executed after the page load event [optional]
 */
@property(nonatomic) NSString* script;
/* if the screenshot was shared, show the public URL [optional]
 */
@property(nonatomic) NSString* sharedUrl;

@end
