# SWGAccountApi

All URIs are relative to *https://api.browshot.com/api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**accountInfoGet**](SWGAccountApi.md#accountinfoget) | **GET** /account/info | Get information about your account.


# **accountInfoGet**
```objc
-(NSNumber*) accountInfoGetWithDetails: (NSNumber*) details
        completionHandler: (void (^)(SWGAccount* output, NSError* error)) handler;
```

Get information about your account.

Get information about your account.

### Example 
```objc
SWGConfiguration *apiConfig = [SWGConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: apiKeyQuery)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"key"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"key"];


NSNumber* details = @1; // level of information returned (optional) (default to 1)

SWGAccountApi*apiInstance = [[SWGAccountApi alloc] init];

// Get information about your account.
[apiInstance accountInfoGetWithDetails:details
          completionHandler: ^(SWGAccount* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGAccountApi->accountInfoGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **details** | **NSNumber***| level of information returned | [optional] [default to 1]

### Return type

[**SWGAccount***](SWGAccount.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

